Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/vulnerabilities/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '{}'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/vulnerabilities/{id}"
payload = {}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"severity": "medium",
"status": "open",
"description": "",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"leadId": "<string>",
"scanId": "<string>",
"target": "<string>",
"dedupKey": "<string>",
"score": 50,
"category": "<string>",
"featureCategory": "admin",
"proofOfConcept": "<string>",
"stepsToReproduce": "<string>",
"impact": "<string>",
"remediation": "<string>",
"attackScenarioMermaid": "<string>",
"chainRefs": [
{
"kind": "lead",
"id": "<string>",
"label": "<string>",
"note": "<string>"
}
],
"references": [
{
"title": "<string>",
"url": "<string>"
}
],
"evidence": [
{
"label": "<string>",
"detail": "<string>"
}
],
"methodology": "<string>",
"toolName": "<string>",
"confirmedAt": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Vulnerabilities
Update a resource (partial)
Partial merge update; id and userId in the body are ignored (owner scoping comes from the session).
PUT
/
api
/
vulnerabilities
/
{id}
Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/vulnerabilities/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '{}'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/vulnerabilities/{id}"
payload = {}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"severity": "medium",
"status": "open",
"description": "",
"metadata": {},
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"leadId": "<string>",
"scanId": "<string>",
"target": "<string>",
"dedupKey": "<string>",
"score": 50,
"category": "<string>",
"featureCategory": "admin",
"proofOfConcept": "<string>",
"stepsToReproduce": "<string>",
"impact": "<string>",
"remediation": "<string>",
"attackScenarioMermaid": "<string>",
"chainRefs": [
{
"kind": "lead",
"id": "<string>",
"label": "<string>",
"note": "<string>"
}
],
"references": [
{
"title": "<string>",
"url": "<string>"
}
],
"evidence": [
{
"label": "<string>",
"detail": "<string>"
}
],
"methodology": "<string>",
"toolName": "<string>",
"confirmedAt": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Body
application/json
Minimum string length:
1Minimum string length:
1Available options:
info, low, medium, high, critical Required range:
0 <= x <= 100Available options:
open, triaging, confirmed, false_positive, fixed Available options:
admin, api, auth, static, cdn, redirect, error, login, file_upload, exposed_asset, form, authentication, infrastructure, documentation, javascript_analysis, hidden_functionality, debug, internal, sensitive_data, technology_signature, parameterized_endpoint Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
The updated resource.
Minimum string length:
1Minimum string length:
1Available options:
info, low, medium, high, critical Available options:
open, triaging, confirmed, false_positive, fixed Show child attributes
Show child attributes
Required range:
0 <= x <= 100Available options:
admin, api, auth, static, cdn, redirect, error, login, file_upload, exposed_asset, form, authentication, infrastructure, documentation, javascript_analysis, hidden_functionality, debug, internal, sensitive_data, technology_signature, parameterized_endpoint Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

